#! /bin/bash
#
# Installation von Squid und neuen Filterlisten auf Arktur V4.0-Beta
# Reiner Klaproth 19.09.2004
# Wir sind im Wurzelverzeichnis.

(
# Paranoia-Mode on
# Zunchst mal das Tar-Files prfen:

dialog --title "Geduld" --infobox "
Installiere Squid und Filterlisten" 5 42

gzip -t tmp/install/squid.tgz >/dev/null 2>&1

if [ $? -ne 0 ] ; then
	dialog --title "Update-Dateien defekt" --msgbox "
Das Datei-Archiv von diesem Update ist defekt. Bitte wieder- 
holen Sie den Download und versuchen Sie es dann noch
einmal." 9 64
	rm -f tmp/install/*.tgz >/dev/null 2>&1
	exit 1
fi	
#
sqpid=`pidof squid`

# Den Samba-Prozess beenden
etc/init.d/squid stop >>/var/log/squid-upd.log

# Jetzt das Paket installieren
usr/lib/ods-server/bin/installiere-paket . tmp/install/squid.tgz >>/var/log/squid-upd.log 2>&1

# Etwas aufrumen
rm -f tmp/install/squid.tgz

# SquidGuard muss die Datenbank neu aufbauen
chown -R squid:squid /var/lib/squidGuard
dialog --title "Geduld" --infobox "
Initialisiere neue Filterlisten" 5 42

su -s /bin/bash -c "/usr/squid/bin/squidGuard -C all" squid

# squid nur starten, wenn er vorher auch lief
if ! [ -z "$sqpid" ]; then
	etc/init.d/squid start >>/var/log/squid-upd.log
fi

dialog --title "Fertig" --msgbox "
Das squid-Paket wurde installiert.
Ein Protokoll wurde unter /var/log/squid-upd.log erzeugt." 9 62

) >/dev/tty </dev/tty 2>&1

